Package: procps
Version: 1:3.2.6-2.2
Severity: wishlist
Tags: patch
In the "deconfigure" case, a dependency will be removed, so stop
advertising the usefulness of this "w" command.
--- /var/lib/dpkg/info/procps.prerm 2006-04-24 17:26:05.000000000 -0400
+++ /tmp/procps.prerm 2006-06-18 17:29:51.000000000 -0400
@@ -1,9 +1,13 @@
-#!/bin/sh
+#! /bin/sh
+set -e
-if [ "$1" != "upgrade" ]
-then
+case "$1" in
+remove|deconfigure)
update-alternatives --remove w /usr/bin/w.procps
-fi
+ ;;
+upgrade|failed-upgrade)
+ :;
+esac
# Automatically added by dh_installinit
if [ -x "/etc/init.d/procps.sh" ]; then
Allow abort-[remove|deconfigure] to reregister the alternatives:
--- /var/lib/dpkg/info/procps.postinst 2006-04-24 17:26:05.000000000 -0400
+++ /tmp/procps.postinst 2006-06-18 17:31:45.000000000 -0400
@@ -1,4 +1,4 @@
-#!/bin/sh
+#! /bin/sh
# postinst script for procps
#
# see: dh_installdeb(1)
@@ -24,7 +24,7 @@
# `abort-remove' or `abort-deconfigure'.
case "$1" in
- configure)
+configure|abort-remove|abort-deconfigure)
if [ -e /etc/psdevtab ] ; then
rm -f /etc/psdevtab
fi
@@ -55,8 +55,9 @@
;;
- abort-upgrade|abort-remove|abort-deconfigure)
-
+abort-upgrade)
+ # Nothing to undo
+ :;
;;
*)
--
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]